* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-family: 'Noto Serif', serif;
	scrollbar-width: thin;
	scrollbar-color: gray #201c29;
	-webkit-touch-callout: none;
	/* iOS Safari */
	-webkit-user-select: none;
	/* Safari */
	-khtml-user-select: none;
	/* Konqueror HTML */
	-moz-user-select: none;
	/* Old versions of Firefox */
	-ms-user-select: none;
	/* Internet Explorer/Edge */
	user-select: none;
	/* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

body {
	background-color: #222;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

h2 {
	font-size: clamp(1.85rem, 1rem + 5vw, 3rem);
}

p {
	color: #C5C5CE;
	font-size: 16px;
}

a {
	text-decoration: none !important;
	color: #fff;
}

a:hover {
	color: #895bb5;
}

.title__gradient {
	background-image: linear-gradient(to bottom, #895bb5 50%, #b05cb0);
	color: transparent;
	background-clip: text;
	line-height: 1em;
	margin-bottom: 10px;
	-webkit-background-clip: text;
}

/*display: grid;
	justify-content: end;
	*/

header {
	display: grid;
	justify-content: end;
	position: sticky;
	height: 60px;
	top: 0;
	z-index: 2;
}

.backdrop {
	position: absolute;
	inset: 0;
	height: 200%;
	backdrop-filter: blur(16px);
	mask-image: linear-gradient(to bottom,
			black 0% 50%,
			transparent 50% 100%);
	pointer-events: none;
	background: linear-gradient(to bottom, #222 hsl(0deg 0% 0%) 0%,
			transparent 50%);
}

.backdrop-edge {
	--thickness: 2px;
	position: absolute;
	inset: 0;
	height: 100%;
	transform: translateY(100%);
	background: hsl(0deg 0% 100% / 0.1);
	backdrop-filter: blur(8px) brightness(140%);
	pointer-events: none;
	mask-image: linear-gradient(to bottom,
			black 0,
			black var(--thickness),
			transparent var(--thickness));
}


.header__contacts {
	align-items: center;
	display: grid;
	gap: .5em;
	grid-template-columns: 8vw auto 8vw;
	justify-content: center;
	letter-spacing: .03em;
	position: relative;
	text-align: center;
}

.header__contacts::after,
.header__contacts::before {
	background: linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	content: "";
	height: 1px;
	width: 100%;
	margin: 50px 0px;
}

.header__phone {
	display: grid;
	color: #fff;
	padding-right: 2%;
	margin-top: 10px;
	width: 190px;
	z-index: 1;
}

.header__phone span {
	position: relative;
	top: -8px;
}

.header__phone__svg {
	stroke-width: 2px;
	width: 30px;
	margin-right: 10px;
	fill: #fff;
}

.header__phone:hover .header__phone__svg {
	fill: #895bb5;
}

.contacts__email {
	font-size: 25px;
}

.button__header {
	display: inline-block;
	color: #000;
	font-size: 14px;
	background-color: #895bb5;
	border-radius: 10px;
	padding: 10px 10px;
	min-width: 78px;
	text-align: center;
	cursor: pointer;
	transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
	border: 1px solid transparent;
}

.button__header:hover {
	background-color: #351D4A;
	outline: 1px solid #895bb5;
	color: #895bb5;
}

.button__header:active {
	transform: translateY(1px);
}

.container {
	width: 90%;
	margin: 0 auto;
	width: min(var(--content-max, 120ch), 100% - 2rem);
}

.home_backgraund {
	display: grid;
	align-content: start;
	justify-items: center;
	min-height: 250px;
	grid-row-gap: 10px;
	margin-top: 40px;

	@media (max-width: 679px) {
		margin-bottom: 20px;
	}
}

.home_backgraund h1 {
	font-size: 55px;
	font-weight: 900;
	text-align: center;
}

.home__content__card {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(min(100%, 28ch), 1fr));
	gap: 2rem;
	padding-top: 30px;
}

.home__card {
	position: relative;
	color: white;
	background-color: #1E1C22;
	align-items: center;
	justify-items: center;
	padding: 10px 20px;
	border-radius: 15px;
	transform: skewY(-10deg);
	transform-style: preserve-3d;
	-webkit-transform-style: preserve-3d;
}

.home__card::before {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-image: linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	filter: blur(2px);
	transform: translate3d(0px, -5px, -1px);
	border-radius: inherit;
	pointer-events: none;
	z-index: -1;
}

.home__card::after {
	content: "";
	position: absolute;
	background-color: #1E1C22;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	border-radius: inherit;
	z-index: -1;
}

.card__content {
	display: grid;
	transform: skewY(10deg);
	grid-template-rows: 0.5fr 1fr;
	padding: 15px 0px;
	align-items: center;
}

.card__content h4 {
	text-align: center;
	font-size: 20px;
}

.home__card__text {
	background-color: inherit;
	text-align: justify;
}

.action__teaser {
	display: grid;
	margin: 60px 0px;
	border-image: linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	-moz-border-image: -moz-linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	-webkit-border-image: -webkit-linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	border-image-slice: 1;
	border-style: solid;
	border-width: 8px;
}

.teaser__content {
	padding: 20px;
}

/*-------Карусель-------*/

.showcase__label {
	text-align: center;
	margin: 60px 0;
}

.carusel {
	padding: 1rem 0 1rem 1rem;
	margin: 0;
	display: flex;

	@media (max-width: 1200px) {
		padding: 3rem 0 3rem 5rem;
		overflow-x: scroll;
		-webkit-overflow-scrolling: touch;
	}
}

.carusel__card {
	display: grid;
	padding: 10px 5px;
	height: 300px;
	width: 350px;
	background: linear-gradient(85deg, #434343, #17141d);
	border-radius: 10px;
	box-shadow: -1rem 0 3rem #000;
	transition: 0.4s ease-out;
	position: relative;
	left: 0px;
	transform-style: preserve-3d;

	@media (max-width: 1200px) {
		min-width: 300px;
	}
}

.carusel__card:not(:first-child) {
	margin-left: -130px;
}

.carusel__card:hover {
	transform: translate(-1rem, -2rem) rotate(3deg);
	left: -50px;
	transition: 0.4s ease-out;
}

.carusel__card:hover::before {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5);
	filter: blur(2px);
	transform: translate3d(-5px, -5px, -1px);
	border-radius: inherit;
	pointer-events: none;
	z-index: -1;
}

.carusel__card:hover::after {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: linear-gradient(85deg, #434343, #17141d);
	border-radius: inherit;
	z-index: -1;
}

.carusel__card:hover~.carusel__card {
	position: relative;
	left: 50px;
	transition: 0.4s ease-out;
}

.carusel__title {
	color: #c338ac;
	font-weight: 900;
	left: 20px;
	top: 15px;
}

.carusel__card:hover .carusel__filledbar {
	width: 120px;
	transition: 0.4s ease-out;
}

.carusel__card:hover .stroke {
	stroke-dashoffset: 100;
	transition: 0.6s ease-out;
}

.carusel__price {
	align-self: end;
	text-align: end;
	color: #c338ac;
}

/*--------конец карусели--------*/

.gradient__border {
	border-image: linear-gradient(35deg, #FF718C, #FF9870, #F9F871, #46FCE4, #139AF2, #895BB5) 1;
	border-style: solid;
	border-width: 0;
	border-top-width: 0.25rem;
	margin-top: 8vh;
	margin-bottom: 8vh;
	padding-top: 4vh;
	text-align: center;
}

.other__grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(min(100%, 30ch), 1fr));
	gap: 2rem;
	margin-top: 30px;
}

.other__content {
	display: grid;
	min-height: 300px;
	grid-template-rows: 0.5fr 2fr 0.5fr;
	justify-items: start;
	align-items: center;
}

.other__content h3 {
	font-size: 20px;

}

.other__content p {
	text-align: justify;
}

.footer {
	display: grid;
	grid-template-columns: 200px 150px 270px;
	justify-content: center;
	align-items: center;
	justify-items: center;
	min-height: 50px;
	background-color: #895bb5;
	color: #fff;

	@media (max-width: 700px) {
		grid-template-columns: none;
		grid-template-rows: auto;
	}
}

.social__div {
	margin-right: 10px;
	margin-top: 2px;
}

.social__svg {
	stroke-width: 2px;
	width: 30px;
	cursor: pointer;
}

.social__svg:hover {
	outline: 3px solid #fff;
	border-radius: 50%;
}

.social__svg:active {
	transform: translateY(1px);
}

.social__item:not(:last-child) {
	margin-right: 15px;
}

.politic {
	padding: 2px 3px;
}

.politic:hover {
	color: #fff;
	outline: 3px solid #fff;
	border-radius: 30px;
	cursor: pointer;
}

/*---------form-------*/
.modal__form {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
}

#showform {
	display: none;
	animation-duration: 1s;
	animation-fill-mode: both;
	animation-name: fadeIn;
}

#showform.open {
	display: grid;
	align-items: center;
	justify-content: center;
	backdrop-filter: blur(5px);
}

@keyframes fadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

.form {
	background-color: #1E1C22;
	border-radius: 10px;
	height: 510px;
	padding: 20px;
	width: 320px;
	outline: 1px solid #895bb5;
}

.subtitle {
	color: #eee;
	font-size: 24px;
	font-weight: 600;
	margin-top: 10px;
}

.form__close__svg {
	position: relative;
	fill: #895bb5;
	stroke-width: 2px;
	width: 25px;
	top: -50px;
	left: 260px;
}

.form__close__svg:hover {
	cursor: pointer;
	fill: #351D4A;
}

.form__close__svg:active {
	fill: #c338ac;
}

.input-container {
	height: 50px;
	position: relative;
	width: 100%;
}

.input-container.success input {
	border: 2px solid #09c372;
}

.input-container.error input {
	border: 2px solid #ff3860;
}

.input-container .error {
	color: #ff3860;
	font-size: 12px;
	height: 13px;
	padding-left: 10px;
}

.ictop {
	margin-top: 10px;
}

.ic {
	margin-top: 40px;
}

.input {
	background-color: #303245;
	border-radius: 12px;
	border: 0;
	color: #eee;
	font-size: 18px;
	height: 100%;
	outline: 0;
	padding: 4px 20px 0;
	width: 100%;
}

.cut {
	background-color: #1E1C22;
	border-radius: 10px;
	height: 20px;
	left: 20px;
	position: absolute;
	top: -20px;
	transform: translateY(0);
	transition: transform 200ms;
	width: 76px;
}

.cut-short {
	width: 50px;
}

.input:focus~.cut,
.input:not(:placeholder-shown)~.cut {
	transform: translateY(8px);
}

.placeholder {
	color: #65657b;
	left: 20px;
	line-height: 14px;
	pointer-events: none;
	position: absolute;
	transform-origin: 0 50%;
	transition: transform 200ms, color 200ms;
	top: 20px;
}

.input:focus~.placeholder,
.input:not(:placeholder-shown)~.placeholder {
	transform: translateY(-30px) translateX(10px) scale(0.75);
}

.input:not(:placeholder-shown)~.placeholder {
	color: #895bb5;
}

.input:focus~.placeholder {
	color: #c338ac;
}

.checkbox {
	display: grid;
	grid-template-columns: 2fr 0.5fr;
	color: #65657b;
	margin-top: 20px;
	align-items: center;
	justify-items: end;
}

.checkbox input[type="checkbox"] {
	display: none;
}

.checkbox input[type="checkbox"]+label {
	display: block;
	position: relative;
	width: 3em;
	height: 1.6em;
	background: #303245;
	border-radius: 8px;
	cursor: pointer;
	/*   -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none; */
}

.checkbox input[type="checkbox"]+label:before {
	content: "";
	display: block;
	width: 1.2em;
	height: 1.2em;
	border-radius: 8px;
	background: #e84d4d;
	position: absolute;
	left: 0.2em;
	top: 0.2em;
	-webkit-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}

.checkbox input[type="checkbox"]:checked+label:before {
	background: #47cf73;
	left: 1.6em;
}

.submit {
	background-color: #895bb5;
	border-radius: 10px;
	border: 0;
	cursor: pointer;
	font-size: 18px;
	height: 40px;
	margin-top: 20px;
	text-align: center;
	width: 100%;
	transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
	border: 1px solid transparent;
}

.submit:hover {
	background-color: #351D4A;
	outline: 1px solid #895bb5;
	color: #895bb5;
}

.submit:active {
	background-color: #895bb5;
	transform: translateY(1px);
}